#include <bits/stdc++.h>
using namespace std;
 
int main()
{
int a;
cin>>a;
int b;
cin>>b;

int c = a/10;
int d = b/10;

int e = a%10;
int g = b%10;

if(c>d && e>g)
    cout<<c<<e;
else if(c<d && e>g)
    cout<<d<<e;
else if(c>d && e<g)
    cout<<c<<g;
else if(c<d && e<g)
    cout<<d<<g;


if(c==d && e>g)
    cout<<c<<c<<e;
else if(c==d && e<g)
    cout<<c<<c<<g;

if(c>d && e==g)
    cout<<c<<e<<e;

else if(c<d && e==g)
    cout<<d<<e<<e;

if(a==b)
    cout<<a<<a<<endl;



    return 0;
}